summaryrefslogtreecommitdiff
path: root/t/t5710-info-alternate.sh
diff options
context:
space:
mode:
authorAlex Riesen <raa.lkml@gmail.com>2008-01-21 21:53:25 +0100
committerJunio C Hamano <gitster@pobox.com>2008-01-21 17:24:12 -0800
commit9288bedafa5a61689d6bef920c707b1ff9fe080a (patch)
treeace33b04f41c57e01a5f4c543e7b7e5fc3590e27 /t/t5710-info-alternate.sh
parent97394ee4304a8d336663df5da23a33efbe1ab46b (diff)
downloadgit-9288bedafa5a61689d6bef920c707b1ff9fe080a.tar.gz
Make t5710 more strict when creating nested repos
The test 'creating too deep nesting' can fail even when cloning the repos, but is not its main purpose (it has to prepare nested repos and ensure the last one is invalid). So split the test into the creation and invalidity checking parts. Signed-off-by: Alex Riesen <raa.lkml@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t5710-info-alternate.sh')
-rwxr-xr-xt/t5710-info-alternate.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/t/t5710-info-alternate.sh b/t/t5710-info-alternate.sh
index 699df6ebd8..1908dc8b06 100755
--- a/t/t5710-info-alternate.sh
+++ b/t/t5710-info-alternate.sh
@@ -53,14 +53,18 @@ git prune'
cd "$base_dir"
-test_expect_failure 'creating too deep nesting' \
+test_expect_success 'creating too deep nesting' \
'git clone -l -s C D &&
git clone -l -s D E &&
git clone -l -s E F &&
git clone -l -s F G &&
-git clone -l -s G H &&
-cd H &&
-test_valid_repo'
+git clone -l -s G H'
+
+test_expect_success 'invalidity of deepest repository' \
+'cd H && {
+ test_valid_repo
+ test $? -ne 0
+}'
cd "$base_dir"